Subject: Re: [PATCH 3/3] t3428: restore coverage for "apply" backend

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Apr 2024 07:22:06 -0700

[email-masked] writes:

>> Hmph, doesn't this lose coverage for the merge backend, though?
>
> I don't think so, we had coverage for the merge backend from the other
> tests before 2ac0d6273f as all of the other tests in this file use the
> merge backend. We're no longer testing "--signoff" without specifying
> some other option that selects a backend but it seems unlikely that we
> could break that without breaking one of the other tests.

OK, so we have "rebase --merge --signoff" tested elsewhere and we
are replacing "rebase --signoff" with "rebase --apply --signoff"?

Thanks.